source: squid-ssl/trunk/fuentes/src/icmp/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 44.8 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/icmp/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/squid
75pkgincludedir = $(includedir)/squid
76pkglibdir = $(libdir)/squid
77pkglibexecdir = $(libexecdir)/squid
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = x86_64-pc-linux-gnu
91host_triplet = x86_64-pc-linux-gnu
92check_PROGRAMS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = pinger$(EXEEXT)
95#EXTRA_PROGRAMS = pinger$(EXEEXT)
96subdir = src/icmp
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163LTLIBRARIES = $(noinst_LTLIBRARIES)
164libicmp_core_la_LIBADD =
165am_libicmp_core_la_OBJECTS = Icmp.lo
166libicmp_core_la_OBJECTS = $(am_libicmp_core_la_OBJECTS)
167AM_V_lt = $(am__v_lt_$(V))
168am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
169am__v_lt_0 = --silent
170am__v_lt_1 = 
171libicmp_la_LIBADD =
172am_libicmp_la_OBJECTS = IcmpSquid.lo net_db.lo
173libicmp_la_OBJECTS = $(am_libicmp_la_OBJECTS)
174am__installdirs = "$(DESTDIR)$(libexecdir)"
175PROGRAMS = $(libexec_PROGRAMS)
176am_pinger_OBJECTS = IcmpPinger.$(OBJEXT) Icmp4.$(OBJEXT) \
177        Icmp6.$(OBJEXT) pinger.$(OBJEXT)
178am__objects_1 = debug.$(OBJEXT) globals.$(OBJEXT) \
179        SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT) \
180        stub_HelperChildConfig.$(OBJEXT) time.$(OBJEXT)
181nodist_pinger_OBJECTS = $(am__objects_1)
182pinger_OBJECTS = $(am_pinger_OBJECTS) $(nodist_pinger_OBJECTS)
183#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
184am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
185        $(am__DEPENDENCIES_1)
186am__DEPENDENCIES_3 =
187pinger_DEPENDENCIES = libicmp-core.la ../ip/libip.la \
188        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3)
189pinger_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
190        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
191        $(CXXFLAGS) $(pinger_LDFLAGS) $(LDFLAGS) -o $@
192AM_V_P = $(am__v_P_$(V))
193am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
194am__v_P_0 = false
195am__v_P_1 = :
196AM_V_GEN = $(am__v_GEN_$(V))
197am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
198am__v_GEN_0 = @echo "  GEN     " $@;
199am__v_GEN_1 = 
200AM_V_at = $(am__v_at_$(V))
201am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
202am__v_at_0 = @
203am__v_at_1 = 
204DEFAULT_INCLUDES = 
205depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
206am__depfiles_maybe = depfiles
207am__mv = mv -f
208CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
209        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
210LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
211        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
212        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
213        $(AM_CXXFLAGS) $(CXXFLAGS)
214AM_V_CXX = $(am__v_CXX_$(V))
215am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
216am__v_CXX_0 = @echo "  CXX     " $@;
217am__v_CXX_1 = 
218CXXLD = $(CXX)
219CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
220        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
221        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
222AM_V_CXXLD = $(am__v_CXXLD_$(V))
223am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
224am__v_CXXLD_0 = @echo "  CXXLD   " $@;
225am__v_CXXLD_1 = 
226COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
227        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
228LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
229        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
230        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
231        $(AM_CFLAGS) $(CFLAGS)
232AM_V_CC = $(am__v_CC_$(V))
233am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
234am__v_CC_0 = @echo "  CC      " $@;
235am__v_CC_1 = 
236CCLD = $(CC)
237LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
238        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
239        $(AM_LDFLAGS) $(LDFLAGS) -o $@
240AM_V_CCLD = $(am__v_CCLD_$(V))
241am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
242am__v_CCLD_0 = @echo "  CCLD    " $@;
243am__v_CCLD_1 = 
244SOURCES = $(libicmp_core_la_SOURCES) $(libicmp_la_SOURCES) \
245        $(pinger_SOURCES) $(nodist_pinger_SOURCES)
246DIST_SOURCES = $(libicmp_core_la_SOURCES) $(libicmp_la_SOURCES) \
247        $(pinger_SOURCES)
248am__can_run_installinfo = \
249  case $$AM_UPDATE_INFO_DIR in \
250    n|no|NO) false;; \
251    *) (install-info --version) >/dev/null 2>&1;; \
252  esac
253am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
254# Read a list of newline-separated strings from the standard input,
255# and print each of them once, without duplicates.  Input order is
256# *not* preserved.
257am__uniquify_input = $(AWK) '\
258  BEGIN { nonempty = 0; } \
259  { items[$$0] = 1; nonempty = 1; } \
260  END { if (nonempty) { for (i in items) print i; }; } \
261'
262# Make sure the list of sources is unique.  This is necessary because,
263# e.g., the same source file might be shared among _SOURCES variables
264# for different programs/libraries.
265am__define_uniq_tagged_files = \
266  list='$(am__tagged_files)'; \
267  unique=`for i in $$list; do \
268    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
269  done | $(am__uniquify_input)`
270ETAGS = etags
271CTAGS = ctags
272am__tty_colors_dummy = \
273  mgn= red= grn= lgn= blu= brg= std=; \
274  am__color_tests=no
275am__tty_colors = { \
276  $(am__tty_colors_dummy); \
277  if test "X$(AM_COLOR_TESTS)" = Xno; then \
278    am__color_tests=no; \
279  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
280    am__color_tests=yes; \
281  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
282    am__color_tests=yes; \
283  fi; \
284  if test $$am__color_tests = yes; then \
285    red='[0;31m'; \
286    grn='[0;32m'; \
287    lgn='[1;32m'; \
288    blu='[1;34m'; \
289    mgn='[0;35m'; \
290    brg='[1m'; \
291    std='[m'; \
292  fi; \
293}
294am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
295am__vpath_adj = case $$p in \
296    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
297    *) f=$$p;; \
298  esac;
299am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
300am__install_max = 40
301am__nobase_strip_setup = \
302  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
303am__nobase_strip = \
304  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
305am__nobase_list = $(am__nobase_strip_setup); \
306  for p in $$list; do echo "$$p $$p"; done | \
307  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
308  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
309    if (++n[$$2] == $(am__install_max)) \
310      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
311    END { for (dir in files) print dir, files[dir] }'
312am__base_list = \
313  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
314  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
315am__uninstall_files_from_dir = { \
316  test -z "$$files" \
317    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
318    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
319         $(am__cd) "$$dir" && rm -f $$files; }; \
320  }
321am__recheck_rx = ^[     ]*:recheck:[    ]*
322am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
323am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
324# A command that, given a newline-separated list of test names on the
325# standard input, print the name of the tests that are to be re-run
326# upon "make recheck".
327am__list_recheck_tests = $(AWK) '{ \
328  recheck = 1; \
329  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
330    { \
331      if (rc < 0) \
332        { \
333          if ((getline line2 < ($$0 ".log")) < 0) \
334            recheck = 0; \
335          break; \
336        } \
337      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
338        { \
339          recheck = 0; \
340          break; \
341        } \
342      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
343        { \
344          break; \
345        } \
346    }; \
347  if (recheck) \
348    print $$0; \
349  close ($$0 ".trs"); \
350  close ($$0 ".log"); \
351}'
352# A command that, given a newline-separated list of test names on the
353# standard input, create the global log from their .trs and .log files.
354am__create_global_log = $(AWK) ' \
355function fatal(msg) \
356{ \
357  print "fatal: making $@: " msg | "cat >&2"; \
358  exit 1; \
359} \
360function rst_section(header) \
361{ \
362  print header; \
363  len = length(header); \
364  for (i = 1; i <= len; i = i + 1) \
365    printf "="; \
366  printf "\n\n"; \
367} \
368{ \
369  copy_in_global_log = 1; \
370  global_test_result = "RUN"; \
371  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
372    { \
373      if (rc < 0) \
374         fatal("failed to read from " $$0 ".trs"); \
375      if (line ~ /$(am__global_test_result_rx)/) \
376        { \
377          sub("$(am__global_test_result_rx)", "", line); \
378          sub("[        ]*$$", "", line); \
379          global_test_result = line; \
380        } \
381      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
382        copy_in_global_log = 0; \
383    }; \
384  if (copy_in_global_log) \
385    { \
386      rst_section(global_test_result ": " $$0); \
387      while ((rc = (getline line < ($$0 ".log"))) != 0) \
388      { \
389        if (rc < 0) \
390          fatal("failed to read from " $$0 ".log"); \
391        print line; \
392      }; \
393      printf "\n"; \
394    }; \
395  close ($$0 ".trs"); \
396  close ($$0 ".log"); \
397}'
398# Restructured Text title.
399am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
400# Solaris 10 'make', and several other traditional 'make' implementations,
401# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
402# by disabling -e (using the XSI extension "set +e") if it's set.
403am__sh_e_setup = case $$- in *e*) set +e;; esac
404# Default flags passed to test drivers.
405am__common_driver_flags = \
406  --color-tests "$$am__color_tests" \
407  --enable-hard-errors "$$am__enable_hard_errors" \
408  --expect-failure "$$am__expect_failure"
409# To be inserted before the command running the test.  Creates the
410# directory for the log if needed.  Stores in $dir the directory
411# containing $f, in $tst the test, in $log the log.  Executes the
412# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
413# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
414# will run the test scripts (or their associated LOG_COMPILER, if
415# thy have one).
416am__check_pre = \
417$(am__sh_e_setup);                                      \
418$(am__vpath_adj_setup) $(am__vpath_adj)                 \
419$(am__tty_colors);                                      \
420srcdir=$(srcdir); export srcdir;                        \
421case "$@" in                                            \
422  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
423    *) am__odir=.;;                                     \
424esac;                                                   \
425test "x$$am__odir" = x"." || test -d "$$am__odir"       \
426  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
427if test -f "./$$f"; then dir=./;                        \
428elif test -f "$$f"; then dir=;                          \
429else dir="$(srcdir)/"; fi;                              \
430tst=$$dir$$f; log='$@';                                 \
431if test -n '$(DISABLE_HARD_ERRORS)'; then               \
432  am__enable_hard_errors=no;                            \
433else                                                    \
434  am__enable_hard_errors=yes;                           \
435fi;                                                     \
436case " $(XFAIL_TESTS) " in                              \
437  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
438    am__expect_failure=yes;;                            \
439  *)                                                    \
440    am__expect_failure=no;;                             \
441esac;                                                   \
442$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
443# A shell command to get the names of the tests scripts with any registered
444# extension removed (i.e., equivalently, the names of the test logs, with
445# the '.log' extension removed).  The result is saved in the shell variable
446# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
447# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
448# since that might cause problem with VPATH rewrites for suffix-less tests.
449# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
450am__set_TESTS_bases = \
451  bases='$(TEST_LOGS)'; \
452  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
453  bases=`echo $$bases`
454RECHECK_LOGS = $(TEST_LOGS)
455AM_RECURSIVE_TARGETS = check recheck
456TEST_SUITE_LOG = test-suite.log
457TEST_EXTENSIONS =  .test
458LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
459LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
460am__set_b = \
461  case '$@' in \
462    */*) \
463      case '$*' in \
464        */*) b='$*';; \
465          *) b=`echo '$@' | sed 's/\.log$$//'`; \
466       esac;; \
467    *) \
468      b='$*';; \
469  esac
470am__test_logs1 = $(TESTS:=.log)
471am__test_logs2 = $(am__test_logs1:.log=.log)
472TEST_LOGS = $(am__test_logs2:.test.log=.log)
473TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
474TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
475        $(TEST_LOG_FLAGS)
476am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
477        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
478        $(top_srcdir)/src/TestHeaders.am
479DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
480ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
481ADAPTATION_LIBS = adaptation/libadaptation.la
482ALLOCA =
483AMTAR = $${TAR-tar}
484AM_DEFAULT_VERBOSITY = 1
485AR = /usr/bin/ar
486AR_R = /usr/bin/ar r
487AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
488AUTH_MODULES =  basic digest negotiate ntlm
489AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
490AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
491AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
492AWK = gawk
493BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
494BUILDCXX = g++
495BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
496BZR =
497CACHE_EFFECTIVE_USER = proxy
498CC = gcc
499CCDEPMODE = depmode=none
500CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
501CGIEXT = .cgi
502CHMOD = /bin/chmod
503CPP = gcc -E
504CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
505CPPUNITCONFIG = /usr/bin/cppunit-config
506CRYPTLIB = -lcrypt
507CXX = g++
508CXXCPP = g++ -E
509CXXDEPMODE = depmode=none
510CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
511CYGPATH_W = echo
512DEFAULT_HOSTS = /etc/hosts
513DEFAULT_LOG_DIR = /var/log/squid-ssl
514DEFAULT_PID_FILE = /var/run/squid-ssl.pid
515DEFAULT_SWAP_DIR = /var/spool/squid-ssl
516
517# TODO: get rid of this when config filename is no longer a global constant.
518#      its only here so the pinger globals.cc will link.
519DEFS = -DHAVE_CONFIG_H -DDEFAULT_CONFIG_FILE=NULL
520DEPDIR = .deps
521DIGEST_AUTH_HELPERS =  file LDAP
522DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
523DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
524DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
525DISK_OS_LIBS =  -lrt -lpthread
526DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
527DLLTOOL = false
528DSYMUTIL =
529DUMPBIN =
530ECAP_LIBS = ecap/libsquid-ecap.la
531ECHO_C =
532ECHO_N = -n
533ECHO_T =
534EGREP = /bin/egrep
535EPOLL_LIBS =
536EUILIB =
537EXEEXT =
538EXPATLIB = -lexpat
539EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
540EXT_LIBECAP_CFLAGS =
541EXT_LIBECAP_LIBS = -lecap
542FALSE = /bin/false
543FGREP = /bin/fgrep
544GREP = grep
545HAVE_CXX11 = 1
546ICAP_LIBS = icap/libicap.la
547INCLTDL =
548INSTALL = /usr/bin/install -c
549INSTALL_DATA = ${INSTALL} -m 644
550INSTALL_PROGRAM = ${INSTALL}
551INSTALL_SCRIPT = ${INSTALL}
552INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
553KRB5INCS = -isystem /usr/include/mit-krb5
554KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
555LBERLIB = -llber
556LD = /usr/bin/ld -m elf_x86_64
557LDAPLIB = -lldap
558LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
559LIBADD_DL = -ldl
560LIBADD_DLD_LINK =
561LIBADD_DLOPEN = -ldl
562LIBADD_SHL_LOAD =
563LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
564LIBGNUTLS_LIBS = -lgnutls
565LIBLTDL = -lltdl
566LIBOBJS =
567LIBOPENSSL_CFLAGS =
568LIBOPENSSL_LIBS = -lssl -lcrypto
569LIBS =
570LIBSASL = -lsasl2
571LIBTOOL = $(SHELL) $(top_builddir)/libtool
572LIB_DB = -ldb
573LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
574LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
575LINUXDOC = /bin/false
576LIPO =
577LN = /bin/ln
578LN_S = ln -s
579LOG_DAEMON_HELPERS =  DB file
580LTDLDEPS =
581LTDLINCL =
582LTDLOPEN = libltdl
583LTLIBOBJS =
584LT_ARGZ_H =
585LT_CONFIG_H = include/autoconf.h
586LT_DLLOADERS =  libltdl/dlopen.la
587LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
588LT_SYS_LIBRARY_PATH =
589MAINT = #
590MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
591MANIFEST_TOOL = :
592MINGW_LIBS =
593MKDIR = /bin/mkdir
594MKDIR_P = /bin/mkdir -p
595MV = /bin/mv
596NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
597NETTLELIB =  -lnettle
598NM = /usr/bin/nm -B
599NMEDIT =
600NTLM_AUTH_HELPERS =  fake smb_lm
601OBJDUMP = objdump
602OBJEXT = o
603OTOOL =
604OTOOL64 =
605PACKAGE = squid
606PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
607PACKAGE_NAME = Squid Web Proxy
608PACKAGE_STRING = Squid Web Proxy 3.5.12
609PACKAGE_TARNAME = squid
610PACKAGE_URL =
611PACKAGE_VERSION = 3.5.12
612PATH_SEPARATOR = :
613PERL = /usr/bin/perl
614PKG_CONFIG = /usr/bin/pkg-config
615PKG_CONFIG_LIBDIR =
616PKG_CONFIG_PATH =
617PO2HTML = off
618PO2TEXT = off
619POD2MAN = /usr/bin/pod2man
620RANLIB = ranlib
621REGEXLIB =
622REPL_LIBS = liblru.a libheap.a
623REPL_OBJS = repl/liblru.a repl/libheap.a
624REPL_POLICIES = lru heap
625RM = /bin/rm -f
626SED = /bin/sed
627SET_MAKE =
628SH = /bin/sh
629SHELL = /bin/bash
630SMBCLIENT = /usr/bin/smbclient
631SNMPLIB = ../lib/snmplib/libsnmplib.la
632SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
633SQUID_CPPUNIT_INC =
634SQUID_CPPUNIT_LA =
635SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
636SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
637SSLLIB =  -lssl -lcrypto  -lgnutls
638STOREID_REWRITE_HELPERS =  file
639STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
640STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
641STORE_TESTS =
642STRIP = strip
643TR = /usr/bin/tr
644TRUE = /bin/true
645URL_REWRITE_HELPERS =  fake
646VERSION = 3.5.12
647WBINFO =
648WIN32_PSAPI =
649XMLLIB = -lxml2
650XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
651XTRA_OBJS =
652abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/icmp
653abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/icmp
654abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
655abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
656ac_ct_AR =
657ac_ct_CC = gcc
658ac_ct_CXX = g++
659ac_ct_DUMPBIN =
660am__include = include
661am__leading_dot = .
662am__quote =
663am__tar = tar --format=ustar -chf - "$$tardir"
664am__untar = tar -xf -
665bindir = ${exec_prefix}/bin
666build = x86_64-pc-linux-gnu
667build_alias = x86_64-linux-gnu
668build_cpu = x86_64
669build_os = linux-gnu
670build_vendor = pc
671builddir = .
672datadir = /usr/share/squid-ssl
673datarootdir = ${prefix}/share
674docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
675dvidir = ${docdir}
676exec_prefix = ${prefix}
677host = x86_64-pc-linux-gnu
678host_alias =
679host_cpu = x86_64
680host_os = linux-gnu
681host_vendor = pc
682htmldir = ${docdir}
683includedir = ${prefix}/include
684infodir = ${prefix}/share/info
685install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
686krb5_config =
687libdir = ${exec_prefix}/lib
688libexecdir = /usr/lib/squid-ssl
689localedir = ${datarootdir}/locale
690localstatedir = /var
691ltdl_LIBOBJS =  lt__strl.o
692ltdl_LTLIBOBJS =  lt__strl.lo
693mandir = /usr/share/man
694mkdir_p = $(MKDIR_P)
695oldincludedir = /usr/include
696pdfdir = ${docdir}
697prefix = /usr
698program_transform_name = s&$$&-ssl&
699psdir = ${docdir}
700runstatedir = ${localstatedir}/run
701sbindir = ${exec_prefix}/sbin
702sharedstatedir = ${prefix}/com
703srcdir = .
704subdirs =  libltdl
705sys_symbol_underscore = no
706sysconfdir = /etc/squid-ssl
707target_alias =
708top_build_prefix = ../../
709top_builddir = ../..
710top_srcdir = ../..
711AM_CFLAGS = $(SQUID_CFLAGS)
712AM_CXXFLAGS = $(SQUID_CXXFLAGS)
713CLEANFILES = testHeaders $(COPIED_SOURCE)
714TESTS = testHeaders
715AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
716        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
717        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
718        $(am__append_1)
719LIBPROFILER =
720#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
721COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
722subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
723noinst_LTLIBRARIES = libicmp-core.la libicmp.la
724
725# ICMP API definition ...
726libicmp_core_la_SOURCES = \
727        Icmp.h \
728        Icmp.cc
729
730
731# Squid Internal ICMP helper interface
732libicmp_la_SOURCES = \
733        IcmpConfig.h \
734        IcmpSquid.h \
735        IcmpSquid.cc \
736        net_db.h \
737        net_db.cc
738
739
740# pinger depends on these but install/dist is done elsewhere.
741COPIED_SOURCE = \
742        debug.cc \
743        globals.cc \
744        SquidConfig.cc \
745        SquidNew.cc \
746        stub_HelperChildConfig.cc \
747        time.cc
748
749
750# ICMP lookup helper
751pinger_SOURCES = \
752        Icmp.h \
753        IcmpPinger.h \
754        IcmpPinger.cc \
755        Icmp4.h \
756        Icmp4.cc \
757        Icmp6.h \
758        Icmp6.cc \
759        pinger.cc
760
761nodist_pinger_SOURCES = $(COPIED_SOURCE)
762pinger_LDFLAGS = $(LIBADD_DL)
763pinger_LDADD = \
764        libicmp-core.la \
765        ../ip/libip.la \
766        $(COMPAT_LIB) \
767        $(XTRA_LIBS)
768
769all: all-am
770
771.SUFFIXES:
772.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
773$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
774        @for dep in $?; do \
775          case '$(am__configure_deps)' in \
776            *$$dep*) \
777              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
778                && { if test -f $@; then exit 0; else break; fi; }; \
779              exit 1;; \
780          esac; \
781        done; \
782        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/icmp/Makefile'; \
783        $(am__cd) $(top_srcdir) && \
784          $(AUTOMAKE) --gnu src/icmp/Makefile
785Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
786        @case '$?' in \
787          *config.status*) \
788            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
789          *) \
790            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
791            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
792        esac;
793$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
794
795$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
796        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
797
798$(top_srcdir)/configure: # $(am__configure_deps)
799        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
800$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
801        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
802$(am__aclocal_m4_deps):
803
804clean-noinstLTLIBRARIES:
805        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
806        @list='$(noinst_LTLIBRARIES)'; \
807        locs=`for p in $$list; do echo $$p; done | \
808              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
809              sort -u`; \
810        test -z "$$locs" || { \
811          echo rm -f $${locs}; \
812          rm -f $${locs}; \
813        }
814
815libicmp-core.la: $(libicmp_core_la_OBJECTS) $(libicmp_core_la_DEPENDENCIES) $(EXTRA_libicmp_core_la_DEPENDENCIES)
816        $(AM_V_CXXLD)$(CXXLINK)  $(libicmp_core_la_OBJECTS) $(libicmp_core_la_LIBADD) $(LIBS)
817
818libicmp.la: $(libicmp_la_OBJECTS) $(libicmp_la_DEPENDENCIES) $(EXTRA_libicmp_la_DEPENDENCIES)
819        $(AM_V_CXXLD)$(CXXLINK)  $(libicmp_la_OBJECTS) $(libicmp_la_LIBADD) $(LIBS)
820
821clean-checkPROGRAMS:
822        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
823        echo " rm -f" $$list; \
824        rm -f $$list || exit $$?; \
825        test -n "$(EXEEXT)" || exit 0; \
826        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
827        echo " rm -f" $$list; \
828        rm -f $$list
829install-libexecPROGRAMS: $(libexec_PROGRAMS)
830        @$(NORMAL_INSTALL)
831        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
832        if test -n "$$list"; then \
833          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
834          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
835        fi; \
836        for p in $$list; do echo "$$p $$p"; done | \
837        sed 's/$(EXEEXT)$$//' | \
838        while read p p1; do if test -f $$p \
839         || test -f $$p1 \
840          ; then echo "$$p"; echo "$$p"; else :; fi; \
841        done | \
842        sed -e 'p;s,.*/,,;n;h' \
843            -e 's|.*|.|' \
844            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
845        sed 'N;N;N;s,\n, ,g' | \
846        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
847          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
848            if ($$2 == $$4) files[d] = files[d] " " $$1; \
849            else { print "f", $$3 "/" $$4, $$1; } } \
850          END { for (d in files) print "f", d, files[d] }' | \
851        while read type dir files; do \
852            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
853            test -z "$$files" || { \
854            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
855            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
856            } \
857        ; done
858
859uninstall-libexecPROGRAMS:
860        @$(NORMAL_UNINSTALL)
861        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
862        files=`for p in $$list; do echo "$$p"; done | \
863          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
864              -e 's/$$/$(EXEEXT)/' \
865        `; \
866        test -n "$$list" || exit 0; \
867        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
868        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
869
870clean-libexecPROGRAMS:
871        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
872        echo " rm -f" $$list; \
873        rm -f $$list || exit $$?; \
874        test -n "$(EXEEXT)" || exit 0; \
875        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
876        echo " rm -f" $$list; \
877        rm -f $$list
878
879pinger$(EXEEXT): $(pinger_OBJECTS) $(pinger_DEPENDENCIES) $(EXTRA_pinger_DEPENDENCIES) 
880        @rm -f pinger$(EXEEXT)
881        $(AM_V_CXXLD)$(pinger_LINK) $(pinger_OBJECTS) $(pinger_LDADD) $(LIBS)
882
883mostlyclean-compile:
884        -rm -f *.$(OBJEXT)
885
886distclean-compile:
887        -rm -f *.tab.c
888
889#include ./$(DEPDIR)/Icmp.Plo
890#include ./$(DEPDIR)/Icmp4.Po
891#include ./$(DEPDIR)/Icmp6.Po
892#include ./$(DEPDIR)/IcmpPinger.Po
893#include ./$(DEPDIR)/IcmpSquid.Plo
894#include ./$(DEPDIR)/SquidConfig.Po
895#include ./$(DEPDIR)/SquidNew.Po
896#include ./$(DEPDIR)/debug.Po
897#include ./$(DEPDIR)/globals.Po
898#include ./$(DEPDIR)/net_db.Plo
899#include ./$(DEPDIR)/pinger.Po
900#include ./$(DEPDIR)/stub_HelperChildConfig.Po
901#include ./$(DEPDIR)/time.Po
902
903.cc.o:
904#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
905#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
906#       $(am__mv) $$depbase.Tpo $$depbase.Po
907#       $(AM_V_CXX)source='$<' object='$@' libtool=no
908#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
909        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
910
911.cc.obj:
912#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
913#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
914#       $(am__mv) $$depbase.Tpo $$depbase.Po
915#       $(AM_V_CXX)source='$<' object='$@' libtool=no
916#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
917        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
918
919.cc.lo:
920#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
921#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
922#       $(am__mv) $$depbase.Tpo $$depbase.Plo
923#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
924#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
925        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
926
927mostlyclean-libtool:
928        -rm -f *.lo
929
930clean-libtool:
931        -rm -rf .libs _libs
932
933ID: $(am__tagged_files)
934        $(am__define_uniq_tagged_files); mkid -fID $$unique
935tags: tags-am
936TAGS: tags
937
938tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
939        set x; \
940        here=`pwd`; \
941        $(am__define_uniq_tagged_files); \
942        shift; \
943        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
944          test -n "$$unique" || unique=$$empty_fix; \
945          if test $$# -gt 0; then \
946            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
947              "$$@" $$unique; \
948          else \
949            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
950              $$unique; \
951          fi; \
952        fi
953ctags: ctags-am
954
955CTAGS: ctags
956ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
957        $(am__define_uniq_tagged_files); \
958        test -z "$(CTAGS_ARGS)$$unique" \
959          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
960             $$unique
961
962GTAGS:
963        here=`$(am__cd) $(top_builddir) && pwd` \
964          && $(am__cd) $(top_srcdir) \
965          && gtags -i $(GTAGS_ARGS) "$$here"
966cscopelist: cscopelist-am
967
968cscopelist-am: $(am__tagged_files)
969        list='$(am__tagged_files)'; \
970        case "$(srcdir)" in \
971          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
972          *) sdir=$(subdir)/$(srcdir) ;; \
973        esac; \
974        for i in $$list; do \
975          if test -f "$$i"; then \
976            echo "$(subdir)/$$i"; \
977          else \
978            echo "$$sdir/$$i"; \
979          fi; \
980        done >> $(top_builddir)/cscope.files
981
982distclean-tags:
983        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
984
985# Recover from deleted '.trs' file; this should ensure that
986# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
987# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
988# to avoid problems with "make -n".
989.log.trs:
990        rm -f $< $@
991        $(MAKE) $(AM_MAKEFLAGS) $<
992
993# Leading 'am--fnord' is there to ensure the list of targets does not
994# expand to empty, as could happen e.g. with make check TESTS=''.
995am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
996am--force-recheck:
997        @:
998
999$(TEST_SUITE_LOG): $(TEST_LOGS)
1000        @$(am__set_TESTS_bases); \
1001        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1002        redo_bases=`for i in $$bases; do \
1003                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1004                    done`; \
1005        if test -n "$$redo_bases"; then \
1006          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1007          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1008          if $(am__make_dryrun); then :; else \
1009            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1010          fi; \
1011        fi; \
1012        if test -n "$$am__remaking_logs"; then \
1013          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1014               "recursion detected" >&2; \
1015        elif test -n "$$redo_logs"; then \
1016          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1017        fi; \
1018        if $(am__make_dryrun); then :; else \
1019          st=0;  \
1020          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1021          for i in $$redo_bases; do \
1022            test -f $$i.trs && test -r $$i.trs \
1023              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1024            test -f $$i.log && test -r $$i.log \
1025              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1026          done; \
1027          test $$st -eq 0 || exit 1; \
1028        fi
1029        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1030        ws='[   ]'; \
1031        results=`for b in $$bases; do echo $$b.trs; done`; \
1032        test -n "$$results" || results=/dev/null; \
1033        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1034        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1035        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1036        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1037        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1038        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1039        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1040        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1041          success=true; \
1042        else \
1043          success=false; \
1044        fi; \
1045        br='==================='; br=$$br$$br$$br$$br; \
1046        result_count () \
1047        { \
1048            if test x"$$1" = x"--maybe-color"; then \
1049              maybe_colorize=yes; \
1050            elif test x"$$1" = x"--no-color"; then \
1051              maybe_colorize=no; \
1052            else \
1053              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1054            fi; \
1055            shift; \
1056            desc=$$1 count=$$2; \
1057            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1058              color_start=$$3 color_end=$$std; \
1059            else \
1060              color_start= color_end=; \
1061            fi; \
1062            echo "$${color_start}# $$desc $$count$${color_end}"; \
1063        }; \
1064        create_testsuite_report () \
1065        { \
1066          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1067          result_count $$1 "PASS: " $$pass  "$$grn"; \
1068          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1069          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1070          result_count $$1 "FAIL: " $$fail  "$$red"; \
1071          result_count $$1 "XPASS:" $$xpass "$$red"; \
1072          result_count $$1 "ERROR:" $$error "$$mgn"; \
1073        }; \
1074        {                                                               \
1075          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1076            $(am__rst_title);                                           \
1077          create_testsuite_report --no-color;                           \
1078          echo;                                                         \
1079          echo ".. contents:: :depth: 2";                               \
1080          echo;                                                         \
1081          for b in $$bases; do echo $$b; done                           \
1082            | $(am__create_global_log);                                 \
1083        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1084        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1085        if $$success; then                                              \
1086          col="$$grn";                                                  \
1087         else                                                           \
1088          col="$$red";                                                  \
1089          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1090        fi;                                                             \
1091        echo "$${col}$$br$${std}";                                      \
1092        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1093        echo "$${col}$$br$${std}";                                      \
1094        create_testsuite_report --maybe-color;                          \
1095        echo "$$col$$br$$std";                                          \
1096        if $$success; then :; else                                      \
1097          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1098          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1099            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1100          fi;                                                           \
1101          echo "$$col$$br$$std";                                        \
1102        fi;                                                             \
1103        $$success || exit 1
1104
1105check-TESTS:
1106        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1107        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1108        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1109        @set +e; $(am__set_TESTS_bases); \
1110        log_list=`for i in $$bases; do echo $$i.log; done`; \
1111        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1112        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1113        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1114        exit $$?;
1115recheck: all $(check_PROGRAMS)
1116        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1117        @set +e; $(am__set_TESTS_bases); \
1118        bases=`for i in $$bases; do echo $$i; done \
1119                 | $(am__list_recheck_tests)` || exit 1; \
1120        log_list=`for i in $$bases; do echo $$i.log; done`; \
1121        log_list=`echo $$log_list`; \
1122        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1123                am__force_recheck=am--force-recheck \
1124                TEST_LOGS="$$log_list"; \
1125        exit $$?
1126testHeaders.log: testHeaders
1127        @p='testHeaders'; \
1128        b='testHeaders'; \
1129        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1130        --log-file $$b.log --trs-file $$b.trs \
1131        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1132        "$$tst" $(AM_TESTS_FD_REDIRECT)
1133.test.log:
1134        @p='$<'; \
1135        $(am__set_b); \
1136        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1137        --log-file $$b.log --trs-file $$b.trs \
1138        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1139        "$$tst" $(AM_TESTS_FD_REDIRECT)
1140#.test$(EXEEXT).log:
1141#       @p='$<'; \
1142#       $(am__set_b); \
1143#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1144#       --log-file $$b.log --trs-file $$b.trs \
1145#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1146#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1147
1148distdir: $(DISTFILES)
1149        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1150        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1151        list='$(DISTFILES)'; \
1152          dist_files=`for file in $$list; do echo $$file; done | \
1153          sed -e "s|^$$srcdirstrip/||;t" \
1154              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1155        case $$dist_files in \
1156          */*) $(MKDIR_P) `echo "$$dist_files" | \
1157                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1158                           sort -u` ;; \
1159        esac; \
1160        for file in $$dist_files; do \
1161          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1162          if test -d $$d/$$file; then \
1163            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1164            if test -d "$(distdir)/$$file"; then \
1165              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1166            fi; \
1167            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1168              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1169              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1170            fi; \
1171            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1172          else \
1173            test -f "$(distdir)/$$file" \
1174            || cp -p $$d/$$file "$(distdir)/$$file" \
1175            || exit 1; \
1176          fi; \
1177        done
1178check-am: all-am
1179        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1180        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1181check: check-am
1182all-am: Makefile $(LTLIBRARIES) $(PROGRAMS)
1183installdirs:
1184        for dir in "$(DESTDIR)$(libexecdir)"; do \
1185          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1186        done
1187install: install-am
1188install-exec: install-exec-am
1189install-data: install-data-am
1190uninstall: uninstall-am
1191
1192install-am: all-am
1193        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1194
1195installcheck: installcheck-am
1196install-strip:
1197        if test -z '$(STRIP)'; then \
1198          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1199            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1200              install; \
1201        else \
1202          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1203            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1204            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1205        fi
1206mostlyclean-generic:
1207        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1208        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1209        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1210
1211clean-generic:
1212        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1213
1214distclean-generic:
1215        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1216        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1217
1218maintainer-clean-generic:
1219        @echo "This command is intended for maintainers to use"
1220        @echo "it deletes files that may require special tools to rebuild."
1221clean: clean-am
1222
1223clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1224        clean-libtool clean-noinstLTLIBRARIES mostlyclean-am
1225
1226distclean: distclean-am
1227        -rm -rf ./$(DEPDIR)
1228        -rm -f Makefile
1229distclean-am: clean-am distclean-compile distclean-generic \
1230        distclean-tags
1231
1232dvi: dvi-am
1233
1234dvi-am:
1235
1236html: html-am
1237
1238html-am:
1239
1240info: info-am
1241
1242info-am:
1243
1244install-data-am:
1245
1246install-dvi: install-dvi-am
1247
1248install-dvi-am:
1249
1250install-exec-am: install-libexecPROGRAMS
1251
1252install-html: install-html-am
1253
1254install-html-am:
1255
1256install-info: install-info-am
1257
1258install-info-am:
1259
1260install-man:
1261
1262install-pdf: install-pdf-am
1263
1264install-pdf-am:
1265
1266install-ps: install-ps-am
1267
1268install-ps-am:
1269
1270installcheck-am:
1271
1272maintainer-clean: maintainer-clean-am
1273        -rm -rf ./$(DEPDIR)
1274        -rm -f Makefile
1275maintainer-clean-am: distclean-am maintainer-clean-generic
1276
1277mostlyclean: mostlyclean-am
1278
1279mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1280        mostlyclean-libtool
1281
1282pdf: pdf-am
1283
1284pdf-am:
1285
1286ps: ps-am
1287
1288ps-am:
1289
1290uninstall-am: uninstall-libexecPROGRAMS
1291
1292.MAKE: check-am install-am install-strip
1293
1294.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1295        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1296        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1297        ctags-am distclean distclean-compile distclean-generic \
1298        distclean-libtool distclean-tags distdir dvi dvi-am html \
1299        html-am info info-am install install-am install-data \
1300        install-data-am install-dvi install-dvi-am install-exec \
1301        install-exec-am install-html install-html-am install-info \
1302        install-info-am install-libexecPROGRAMS install-man \
1303        install-pdf install-pdf-am install-ps install-ps-am \
1304        install-strip installcheck installcheck-am installdirs \
1305        maintainer-clean maintainer-clean-generic mostlyclean \
1306        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1307        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1308        uninstall-am uninstall-libexecPROGRAMS
1309
1310.PRECIOUS: Makefile
1311
1312
1313$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1314
1315testHeaders: $(srcdir)/*.h
1316        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1317
1318.PHONY: testHeaders
1319
1320debug.cc: $(top_srcdir)/src/debug.cc
1321        cp $(top_srcdir)/src/debug.cc .
1322
1323globals.cc: $(top_srcdir)/src/globals.h
1324        cp $(top_builddir)/src/globals.cc .
1325
1326time.cc: $(top_srcdir)/src/time.cc
1327        cp $(top_srcdir)/src/time.cc .
1328
1329SquidConfig.cc: $(top_srcdir)/src/SquidConfig.cc
1330        cp $(top_srcdir)/src/SquidConfig.cc .
1331
1332SquidNew.cc: $(top_srcdir)/src/SquidNew.cc
1333        cp $(top_srcdir)/src/SquidNew.cc .
1334
1335stub_HelperChildConfig.cc: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
1336        cp $(top_srcdir)/src/tests/stub_HelperChildConfig.cc .
1337
1338# Tell versions [3.59,3.63) of GNU make to not export all variables.
1339# Otherwise a system limit (for SysV at least) may be exceeded.
1340.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.